complexType "CreditRiskLimitRefused"

Namespace: | http://www.fpml.org/FpML-5/pretrade
Content: | complex, 5 elements
Defined: | globally in fpml-pretrade-processes-5-5.xsd; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | limitRefused?, reason*, limitExpiryTimeStamp?, creditLimitReference*, originalRequestDetails?
</...>

Content Model Elements (5):

  creditLimitReference (in creditRiskLimit in limitCheckRefused),
  limitExpiryTimeStamp (in creditRiskLimit in limitCheckRefused),
  limitRefused,
  originalRequestDetails (in creditRiskLimit in limitCheckRefused),
  reason (in creditRiskLimit in limitCheckRefused)

All Direct / Indirect Based Elements (1):

  creditRiskLimit (in limitCheckRefused)

Known Usage Locations

- As direct type of elements (1):
  creditRiskLimit (in limitCheckRefused)

XML Source (see within schema source)

<xsd:complexType name="CreditRiskLimitRefused"> <xsd:sequence> <xsd:element minOccurs="0" name="limitRefused" type="xsd:boolean"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="CreditLimitCheckReason"/> <xsd:element minOccurs="0" name="limitExpiryTimeStamp" type="xsd:dateTime"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitReference" type="CreditLimitReference"/> <xsd:element minOccurs="0" name="originalRequestDetails" type="OriginalRequestDetails"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 5/5)
creditLimitReference

  Type: | CreditLimitReference, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="creditLimitReference" type="CreditLimitReference"/>

limitExpiryTimeStamp

  Type: | xsd:dateTime, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="limitExpiryTimeStamp" type="xsd:dateTime"/>

limitRefused

  Type: | xsd:boolean, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="limitRefused" type="xsd:boolean"/>

originalRequestDetails

  Type: | OriginalRequestDetails, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="originalRequestDetails" type="OriginalRequestDetails"/>

reason

  Type: | CreditLimitCheckReason, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="CreditLimitCheckReason"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.